<ion-header>
  <app-toolbar title="Detalle de producto"></app-toolbar>
</ion-header>

<ion-content>
  <section class="content" *ngIf="!!card">
    <div class="card">
      <div class="type">
        <img width="70" src="assets/img/logos_bhd/logo_white.svg" alt="" />
        <img width="50" src="assets/img/{{card.productBrand}}.svg" alt="" />
      </div>
      <div class="number">{{card.productNumber | numberCard}}</div>
      <div class="info">
        <div class="name">{{name}}</div>
        <div class="date">
          <span>Fecha de V.</span>
          {{date}}
        </div>
      </div>
    </div>

   <!--  <ion-toolbar >
      <ion-segment [value]="toggle">
        <ion-segment-button (click)="changeValue('rd')" value="rd">
          RD
        </ion-segment-button>
        <ion-segment-button (click)="changeValue('us')" value="us">
          US
        </ion-segment-button>
      </ion-segment>
    </ion-toolbar> -->

    <div class="toggle">
      <div (click)="changeValue('rd')" [ngClass]="{'active': toggle === 'rd'}">
        RD
      </div>
      <div (click)="changeValue('us')" [ngClass]="{'active': toggle === 'us'}">
        US
      </div>
    </div>

    <div class="progress">
      <ion-progress-bar [value]="value.value" ></ion-progress-bar>
      <div class="value">
        <div>
          RD$ {{value.Balance | number}}.00
          <span>consumido</span>
        </div>

        <div class="available">
          US$ {{value.Limit | number}}.00
          <span>Disponible</span>
        </div>
      </div>
    </div>

    <ion-button class="btn-pay" expand="block" (click)="sendPay()">
      <span *ngIf="!showSpinner"> Pagar </span>
      <ion-spinner  *ngIf="!!showSpinner"></ion-spinner>
    </ion-button>
  </section>

</ion-content>
